export default {
  // Pharmacie
  idPharmacie: 'toInteger',
  idLogiciel: 'toInteger',
  idTypologie: 'toInteger',
  ancienId: 'toInteger',
  idOperateur: 'toInteger',
  departement: 'toInteger',
  idPharmCritere1: 'toInteger',
  idPharmCritere2: 'toInteger',
  idPharmCritere3: 'toInteger',
  idTrancheCa: 'toInteger',
  idSegmentation: 'toInteger',
  sortie: 'toInteger',
  cleIvrylab: 'toInteger',
  nbEmploye: 'toInteger',
  nbAssistant: 'toInteger',
  nbAutreTravailleur: 'toInteger',
  nbJourOuvre: 'toInteger',
  codeTeletrans: 'toInteger',
  adhesion: 'toDate',
  dateSortie: 'toDate',
  ssii: 'toInteger',
  // Titulaire
  resipIdTitulaire: 'toInteger',
  titulaire: 'toInteger',
  dateNaissance: 'toNull',
  // Laboratoire
  idLaboratoire: 'toInteger',
  // Personnel
  idPersonnel: 'toInteger',
  codeIdentifiant: 'toInteger',
  idService: 'toInteger',
  group: 'toInteger',
  societe: 'toInteger',
  respHierarch: 'toInteger',
  // TVA
  resipCodeTVA: 'toInteger',
  codeTva: 'toInteger',
  tauxTva: 'toFloat',
  // PFL GAMME COMMERCIAL
  idGammeCommercial: 'toInteger',
  codeGamme: 'toInteger',
  estDefaut: 'toInteger',
  canalGamme: 'toInteger',
  // TR FAMILLE
  idFamille: 'toInteger',
  // TR ARTICLE
  idArticle: 'toInteger',
  poidVolArticle: 'toInteger',
  cipTpnArticle: 'toInteger',
  acte: 'toInteger',
  subDopArticle: 'toInteger',
  hospitalArticle: 'toInteger',
  multVenArticle: 'toInteger',
  peremptArticle: 'toInteger',
  generiqArticle: 'toInteger',
  forfaitArticle: 'toInteger',
  fabricArticle: 'toInteger',
  statutArticle: 'toInteger',
  codePresc1Article: 'toInteger',
  codePresc2Article: 'toInteger',
  codePresc3Article: 'toInteger',
  agreColArticle: 'toInteger',
  medExceptArticle: 'toInteger',
  idArticleCritere1: 'toInteger',
  idArticleCritere2: 'toInteger',
  idArticleCritere3: 'toInteger',
  carteFidelite: 'toInteger',
  pxAchatArticle: 'toFloat',
  pxVenteArticle: 'toFloat',
  pxRbtArticle: 'toFloat',
  dateInfo: 'toDate',
  // PFL ARTICLE
  idFournisseur: 'toInteger',
  idFabriquant: 'toInteger',
  qteStock: 'toInteger',
  qteMin: 'toInteger',
  stv: 'toInteger',
  unitePetitCond: 'toInteger',
  uniteSupCond: 'toInteger',
  codeCatalogue: 'toInteger',
  prixFab: 'toFloat',
  prixPhv: 'toFloat',
  prixTtc: 'toFloat',
  cipRemplacement: 'toInteger',
  dateCreation: 'toDate',
  dateRetrait: 'toDate',
  datePeremption: 'toDate',
  idSousGammeCatalogue: 'toInteger',
  numOrdre: 'toInteger',
  codeBlocage: 'toBoolean',
  isRemoved: 'toBoolean',
  // PFL SOUS GAMME COMMERCIAL
  idSousGammeCommercial: 'toInteger',
  codeSousGamme: 'toInteger',
  // TR ARTICLE FAMILLE
  idLibelleFamille: 'toInteger',
  indice: 'toInteger',
  // REGION
  idRegion: 'toInteger',
  // GRAND REGION
  idGRegion: 'toInteger',
  // DEPARTEMENT
  idDepartement: 'toInteger',
  // AFFECTATION REGION TITULAIRE
  idAffectation: 'toInteger',
  dateDebut: 'toDate',
  dateFin: 'toDate',
  // USER
  passwordHash: 'toHash',
  accessFailedCount: 'toInteger',
  accessFailedCountBeforeLockoutPermanent: 'toInteger',
  lockoutEndDateUtc: 'toDate',
  lastLoginDate: 'toDate',
  lastPasswordChangedDate: 'toDate',
  emailConfirmed: 'toBoolean',
  phoneNumberConfirmed: 'toBoolean',
  twoFactorEnabled: 'toBoolean',
  lockoutEnabled: 'toBoolean',
  isLockedOut: 'toBoolean',
  isLockedOutPermanent: 'toBoolean',
  isObligationChangePassword: 'toBoolean',
  // ARTICLE HISTO
  idArticleHisto: 'toInteger',
  flagReferant: 'toBoolean',
  dateModification: 'toDate',
  // PFL_GROUPE_CLIENT
  idPflGroupeClient: 'toInteger',
  codeGroupe: 'toInteger',
  source: 'toInteger',
  dateValidite: 'toDate',
  // PFL_REMISE
  idRemise: 'toInteger',
  idOperation: 'toInteger',
  nbRefMin: 'toInteger',
  active: 'toBoolean',
  // PFL_GROUPE_ARTICLE
  idPflGroupeArticle: 'toInteger',
  // GAME
  idSousGamme: 'toInteger',
  codeGammeCatalogue: 'toInteger',
  codeSousGammeCatalogue: 'toInteger',
  // PFL_REMISE_DETAIL
  idRemiseDetail: 'toInteger',
  quantiteMin: 'toInteger',
  quantiteMax: 'toInteger',
  pourcentageRemise: 'toFloat',
  nombreUg: 'toInteger',
  // SMYLEY
  note: 'toInteger',
  // ACTUALITE_ORIGINE
  ordre: 'toInteger',
  // FONCTION
  idFonction: 'toInteger',
  // OTHER
  idGamme: 'toInteger',
  idRbtArticle: 'toInteger',
  idActe: 'toInteger',
  idForme: 'toInteger',
  idTableau: 'toInteger',
  idMarge: 'toInteger',
  idStockage: 'toInteger',
  gammeCatalogue: 'toInteger',
  codeActe: 'toInteger',
  dateSuppression: 'toDate',
  remiseSupplementaire: 'toFloat',
  article: 'toInteger',
  sousGamme: 'toInteger',
  sousGammeCatalogue: 'toInteger',
  remise: 'toInteger',
  groupeClient: 'toInteger',
  numeroOrdre: 'toInteger',
  resipCodeActe: 'toInteger',
  resipIdGamme: 'toInteger',
  resipIdGRegion: 'toInteger',
  resipIdLaboSuite: 'toInteger',
  resipCodeListe: 'toInteger',
  codeListe: 'toInteger',
  resipCodeInfo: 'toInteger',
  codeInfo: 'toInteger',
  resipIdService: 'toInteger',
  resipIdSSII: 'toInteger',
  resipCodeTauxSS: 'toInteger',
  codeTaux: 'toInteger',
  tauxSS: 'toInteger',
  resipIdTypologie: 'toInteger',
  resipIdSousGamme: 'toInteger',
  resipIdFonction: 'toInteger',
  resipIdRegion: 'toInteger',
  resipIdDepartement: 'toInteger',
  resipIdPersonnel: 'toInteger',
  reispIdAffectation: 'toInteger',
  resipIdPharmacie: 'toInteger',
  reispIdGroupe: 'toInteger',
  resipCodeGroupe: 'toInteger',
  resipCodeGroupePere: 'toInteger',
  resipIdProduit: 'toInteger',
  categorie: 'toInteger',
  typeCategorie: 'toInteger',
  isReferentGenerique: 'toInteger',
  isDopant: 'toInteger',
  codeP1: 'toInteger',
  codeP2: 'toInteger',
  codeP3: 'toInteger',
  codeP4: 'toInteger',
  codeP5: 'toInteger',
  codeP6: 'toInteger',
  medicamentException: 'toInteger',
  medicamentT2a: 'toInteger',
  supprimer: 'toDate',
  surveillanceRenforcee: 'toInteger',
  moleculeOnereuse: 'toInteger',
  typeCode: 'toInteger',
  referent: 'toInteger',
  resipIdProduitRef: 'toInteger',
  resipIdProduitEquivalent: 'toInteger',

  deriveSang: 'toInteger',
  anticoagulant: 'toInteger',
  avk: 'toInteger',
  vaccin: 'toInteger',
  soluteDilution: 'toInteger',
  contraceptionUrgence: 'toInteger',
  contraceptifMineurs: 'toInteger',
  frigo: 'toInteger',
  stupefiant: 'toInteger',
  antibioHumain: 'toInteger',
  deconditionnement: 'toInteger',
  vaccinGrippeSaisonniere: 'toInteger',
  ghs: 'toInteger',
  horsGhs: 'toInteger',
  antibioVeterinaire: 'toInteger',
  coefficient: 'toFloat',

  cip7Bcb: 'toInteger',
  isTipsLpp: 'toInteger',
  isHomeo: 'toInteger',
  isTfr: 'toInteger',
  isStupefiant: 'toInteger',
  resipCodeStockage: 'toInteger',
  tpn: 'toInteger',
  peremption: 'toInteger',
  multipleVente: 'toInteger',
  hauteur: 'toInteger',
  largeur: 'toInteger',
  longueur: 'toInteger',
  resipCodeStatut: 'toInteger',
  agrementCollective: 'toInteger',
  otc: 'toInteger',
  resipAttributCasher: 'toInteger',
  resipTypeConditionnement: 'toInteger',
  code13Referent: 'toInteger',
  resipIdProduitRemplacant: 'toInteger',
  dateAmm: 'toDate',
  prixAchat: 'toFloat',
  prixAchatHT: 'toFloat',
  prixVenteTTC: 'toFloat',
  resipIdRemise: 'toInteger',
  resipIdTypeCode: 'toInteger',
  resipIdCategorie: 'toInteger',
  resipIdTypeCategorie: 'toInteger',
  // Groupe Amis
  predefine: 'toBoolean',
};
